Subject: which libs to link
From: [email-masked] (Thomas Nichols)

29 Oct 1997 18:01:28 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Hello,
the __stdcall fixes worked great - thanks.

Now down to 2 problems:
1. Missing identifiers - can anyone tell me values for these?
critical:
LOCALE_SINTLSYMBOL
LOCALE_IINTLCURRDIGITS
WC_DIALOG

less urgent (can use win16 code)
WNDCLASSA
WIN32_FIND_DATAA
OPENFILENAMEA

2. Undefined references - here is a sample (172 altogether, moatly like
these). A WinMain MessageBox "Hello World" prog works fine with gcc -o
test.exe test.cpp -luser32
--- links and runs fine.

To build libzaf5.a I'm using
ar -ru libzaf5.a file1.o file2.o file 3.o...
ar -ru libzaf5.a file10.o file11.o file12.o
etc. - builds lib ok.
Then I do
gcc -o wtest32.exe test.o -L. -lzaf5 -luser32 -lkernel32 -lshell32
-lcomctl32 -lcomdlg32 > link.err

which gives (from the start of lib.err)

../libzaf5.a(w_window.o)(.text+0x495):w_window.cc: undefined reference to
`CreateRectRgn@16'
../libzaf5.a(w_window.o)(.text+0x4e4):w_window.cc: undefined reference to
`DeleteObject@4'
../libzaf5.a(w_window.o)(.text+0x30fe):w_window.cc: undefined reference to
`SelectPalette@12'
../libzaf5.a(w_window.o)(.text+0x310b):w_window.cc: undefined reference to
`SetTextColor@8'
../libzaf5.a(w_window.o)(.text+0x3118):w_window.cc: undefined reference to
`SetBkColor@8'
../libzaf5.a(w_window.o)(.text+0x3167):w_window.cc: undefined reference to
`SelectObject@8'
../libzaf5.a(w_window.o)(.text+0x3194):w_window.cc: undefined reference to
`PatBlt@24'
../libzaf5.a(w_window.o)(.text+0x31a1):w_window.cc: undefined reference to
`SelectObject@8'
../libzaf5.a(w_window.o)(.text+0x34e3):w_window.cc: undefined reference to
`SelectPalette@12'
../libzaf5.a(w_window.o)(.text+0x34ec):w_window.cc: undefined reference to
`RealizePalette@4'
../libzaf5.a(w_window.o)(.text+0x36fb):w_window.cc: undefined reference to
`SelectPalette@12'
../libzaf5.a(w_window.o)(.text+0x3704):w_window.cc: undefined reference to
`RealizePalette@4'
../libzaf5.a(w_winobj.o)(.text+0x24):w_winobj.cc: undefined reference to
`CreateRectRgn@16'
../libzaf5.a(w_winobj.o)(.text+0x65):w_winobj.cc: undefined reference to
`DeleteObject@4'
../libzaf5.a(w_winobj.o)(.text+0x3097):w_winobj.cc: undefined reference to
`SelectPalette@12'

...... etc ......

Which are the import libs I need to resolve these refs?

This is looking more possible than I thought - will post details of changes
reqd. once I'm done.

System: Win95b cygwin32 2.7.2 b18, no patches
(can't get mingw32 working yet)

Thanks a lot,
Regards,
Tom.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".